using UnityEngine;
using System.Collections;

public class playerSpawner : MonoBehaviour {

	public GameObject player;
	public GameObject lvl1Background;
	public GameObject lvl2Background;
	public GameObject lvl3Background;
	public GameObject lvl4Background;
	public static int level = 1;//gameManager.levelNumber;
	
	// 0 = tutorial
	// 1 = lvl 1
	// 2 = lvl 2
	// 3 = lvl 3
	// 4 = lvl 4
	
	public GameObject lb;
	
	
	Vector3 playerPosition = new Vector3(0f , -2.595068f , 0f);
	Vector3 bgPosition = new Vector3(0f , 5f , 1f);
	
	GameObject playerClone;
	

	
	void Start () {

	}
	
	public void InitPlayer ()
	{
		//player.SetActive(true);
		
		playerClone = Instantiate(player, playerPosition, Quaternion.identity) as GameObject;
		lb = new GameObject ();
		
		switch(level) {
			
		case 1:
			// lvl 1
			
			lb =(GameObject) Instantiate(lvl1Background, bgPosition , Quaternion.identity);
			lb.transform.Rotate(90f , 180f , 0f);
			
			break;
			
		case 2:
			//lvl 2
			
			lb =(GameObject) Instantiate(lvl2Background, bgPosition , Quaternion.identity);
			lb.transform.Rotate(90f , 180f , 0f);
			
			break;
			
		case 3:
			//lvl 3
			
			lb =(GameObject) Instantiate(lvl3Background, bgPosition , Quaternion.identity);
			lb.transform.Rotate(90f , 180f , 0f);
			
			break;
			
		case 4:
			// lvl 4
			
			lb =(GameObject) Instantiate(lvl4Background, bgPosition , Quaternion.identity);
			lb.transform.Rotate(90f , 180f , 0f);
			
			break;
			
			
		}
				
	}
	
	public void DeletePlayer ()
	{
		Destroy ( playerClone );
		Destroy ( lb );
	}
	
	// Update is called once per frame
	void Update () {
	
	}
}
